curl -X GET "https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/runs/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b/emails/90211/headers?api_key=YOUR_KEY"
import requests
API_KEY = "YOUR_API_KEY"
response = requests.get(
"https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/runs/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b/emails/90211/headers",
params={"api_key": API_KEY}
)
print(response.status_code)
print(response.json())
const API_KEY = 'YOUR_API_KEY';
const response = await fetch(
`https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/runs/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b/emails/90211/headers?api_key=${API_KEY}`,
{
method: 'GET'
}
);
console.log(await response.json());
{
"headers": [
{ "name": "Authentication-Results", "value": "mx.google.com; spf=pass ...; dkim=pass ...; dmarc=pass ..." }
]
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API Key"
}
}
Smart Delivery v2 (Deliverability Test)
Get Email Headers
The headers of the received copy of one test email
GET
/
api
/
v1
/
smart-delivery
/
runs
/
{id}
/
emails
/
{assignmentId}
/
headers
curl -X GET "https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/runs/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b/emails/90211/headers?api_key=YOUR_KEY"
import requests
API_KEY = "YOUR_API_KEY"
response = requests.get(
"https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/runs/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b/emails/90211/headers",
params={"api_key": API_KEY}
)
print(response.status_code)
print(response.json())
const API_KEY = 'YOUR_API_KEY';
const response = await fetch(
`https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/runs/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b/emails/90211/headers?api_key=${API_KEY}`,
{
method: 'GET'
}
);
console.log(await response.json());
{
"headers": [
{ "name": "Authentication-Results", "value": "mx.google.com; spf=pass ...; dkim=pass ...; dmarc=pass ..." }
]
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API Key"
}
}
Smart Delivery v2 (Deliverability Test) API: the deliverability (inbox placement) test that sends your campaign email to seed inboxes and reports where it landed. Contact support@smartlead.ai for access.
Overview
Returns the headers of the copy the seed inbox received. The seed address is replaced in the headers. The original.eml file is not available through the API.
Path Parameters
Email ID from List Run Emails (
assignmentId)Query Parameters
curl -X GET "https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/runs/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b/emails/90211/headers?api_key=YOUR_KEY"
import requests
API_KEY = "YOUR_API_KEY"
response = requests.get(
"https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/runs/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b/emails/90211/headers",
params={"api_key": API_KEY}
)
print(response.status_code)
print(response.json())
const API_KEY = 'YOUR_API_KEY';
const response = await fetch(
`https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/runs/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b/emails/90211/headers?api_key=${API_KEY}`,
{
method: 'GET'
}
);
console.log(await response.json());
Response Fields
Response Codes
Client (agency) API keys are not allowed (
CLIENT_NOT_ALLOWED), or your plan does not include API access (API_ACCESS_RESTRICTED)Too many requests for this API key. Wait the number of seconds in the
Retry-After header (RATE_LIMITED){
"headers": [
{ "name": "Authentication-Results", "value": "mx.google.com; spf=pass ...; dkim=pass ...; dmarc=pass ..." }
]
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API Key"
}
}
